API
नोट बदलें
उसका टेक्स्ट, उसका रंग या वह पिन है या नहीं।
PATCH/threads/{id}/notes/{noteId}
असली कॉल आपके वर्कस्पेस पर चलाता है।
PATCH /threads/{id}/notes/{noteId}
उसका टेक्स्ट, उसका रंग या वह पिन है या नहीं।
उदाहरण
threads:write चाहिए। content, color और pinned में से कम से कम एक दें।
curl -X PATCH "$OE/threads/thr_7c1e4a90/notes/b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d" -H "$AUTH" \ -H "Content-Type: application/json" -d '{ "pinned": false }'{ "object": "note", "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d", "threadId": "thr_7c1e4a90", "content": "Waiting on the signed contract before replying.", "color": "yellow", "pinned": false, "order": 4, "createdAt": "2026-09-30T09:12:44.000Z", "updatedAt": "2026-09-30T09:12:44.000Z"}जो नोट आईडी इस थ्रेड पर नहीं है वह 404 है, भले ही वह नोट किसी दूसरे थ्रेड पर हो।